
package gestioneventosfecha;

public class GestionEventosFecha1 {

    public static void main(String[] args) {
        
       GestorEventos1 gestorEventos1 = new GestorEventos1();
       GestorEventos2 gestorEventos2 = new GestorEventos2();
       
       System.out.println("-----------------------------------------------------------------");        
       Fecha fecha1 = new Fecha("12-24-1968");         //  dispara el evento
       fecha1.addEventoFechaListener(gestorEventos1);
       fecha1.addEventoFechaListener(gestorEventos2);
       fecha1.filtrarFecha();
              
       Fecha fecha2 = new Fecha("12-04-1968");         //  no dispara el evento
       fecha2.addEventoFechaListener(gestorEventos1);  
       fecha1.addEventoFechaListener(gestorEventos2);
       fecha2.filtrarFecha();
       System.out.println("-----------------------------------------------------------------");        
    }
}
